aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2022-05-02 17:41:42 -0300
committerEuAndreh <eu@euandre.org>2022-05-02 17:41:42 -0300
commit1e1f257cf8ef9619795eb42c63ef92e35b52fe54 (patch)
treea1bfb8b913d8cfef2f506c4f470d94c7c5a24ed6
parentMakefile: Do not make "fqdn" target .SILENT by default (diff)
downloadeuandre.org-1e1f257cf8ef9619795eb42c63ef92e35b52fe54.tar.gz
euandre.org-1e1f257cf8ef9619795eb42c63ef92e35b52fe54.tar.xz
bin/{tmp,pb}: ShellCheck
-rwxr-xr-xbin/pb5
-rwxr-xr-xbin/tmp3
2 files changed, 5 insertions, 3 deletions
diff --git a/bin/pb b/bin/pb
index cb9ef89..6ef0a22 100755
--- a/bin/pb
+++ b/bin/pb
@@ -136,8 +136,9 @@ SLUG="${SLUG:-$(echo "$TITLE" | slugify)}"
OUT="$(outname "$DATE" "$SLUG")"
URL="$(url "$DATE" "$SLUG")"
-trap "rm -f $OUT-tmp" EXIT
-cat /dev/stdin <<-EOF | vipe > "$OUT-tmp"
+# shellcheck disable=2064
+trap "rm -f '$OUT-tmp'" EXIT
+cat <<-EOF | vipe > "$OUT-tmp"
---
title: $TITLE
diff --git a/bin/tmp b/bin/tmp
index 4658f4a..80cadd9 100755
--- a/bin/tmp
+++ b/bin/tmp
@@ -62,7 +62,8 @@ fi
for f in "$@"; do
FILENAME="$(basename "$f")"
- ssh "$TLD" "mkdir -p $REMOTE_TMP && cat > $REMOTE_TMP/$FILENAME" < "$f"
+ # shellcheck disable=2029
+ ssh "$TLD" "mkdir -p '$REMOTE_TMP' && cat > '$REMOTE_TMP/$FILENAME'" < "$f"
LINK="$(printf 'https://%s/tmp/%s' "$TLD" "$FILENAME")"
open "$LINK"